from django.contrib.staticfiles.storage import staticfiles_storage
from django.urls import path
from django.views.generic import RedirectView

from .views import IndexPageView, AboutPageView, VillasPageView, RoomsPageView, ContactPageView, DoubleRoomsPageView, \
    TripleRoomsPageView, BookingFormView, DashboardPageView, LocationPageView  # , AvailFormView

app_name = 'alion_app'

urlpatterns = [
    path('', IndexPageView.as_view(), name='index'),
    path('villas', VillasPageView.as_view(), name='villas'),
    path('rooms', RoomsPageView.as_view(), name='rooms'),
    path('double', DoubleRoomsPageView.as_view(), name='double'),
    path('triple', TripleRoomsPageView.as_view(), name='triple'),
    path('about', AboutPageView.as_view(), name='about'),
    path('contact', ContactPageView.as_view(), name='contact'),
    path('location', LocationPageView.as_view(), name='location'),
    #path('check', AvailFormView.as_view(), name='check'),
    path('book', BookingFormView.as_view(), name='book'),
    path('favicon.ico', RedirectView.as_view(url=staticfiles_storage.url('images/favicon.ico'))),
]

